%define rel   2

Name: ksnapshot
Summary: KDE Screenshot Utility
Version: 4.8.2
Release: %mkrel %{rel}
Epoch: 2
Group: Graphical desktop/KDE
License: GPLv2 and LGPLv2 and GFDL
URL: http://www.kde.org/applications/graphics/ksnapshot
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version}
BuildRequires: libkipi-devel >= 2:%{version}
Conflicts:     kdegraphics4-devel < 2:4.6.90
Requires:      kipi-common
Suggests:      ksnapshot-handbook
Suggests:      kipi-plugins-flickr
Suggests:      kipi-plugins-debianscreenshot
Suggests:      kipi-plugins-picasa
Suggests:      kipi-plugins-sendimages
Suggests:      kipi-plugins-ipodexport
Suggests:      kipi-plugins-printimages
Suggests:      kipi-plugins-facebook
Suggests:      kipi-plugins-galleryexport
Suggests:      kipi-plugins-rajceexport
Suggests:      kipi-plugins-htmlexport
# Branch Patch (100-200)

%description
KSnapshot is a KDE snapshot tool with many features.
Features:
    - Save in multiple formats
    - Take new shapshot
    - Open with... possibility to open snapshot in external editor.
    - Copy to clipboard
    - Several capture modes, including selected region or single window
    - Snapshot delay

%files
%_kde_bindir/kbackgroundsnapshot
%_kde_bindir/%name
%_kde_datadir/applications/kde4/%name.desktop
%_kde_iconsdir/hicolor/*/apps/%name.png
%_kde_iconsdir/hicolor/scalable/apps/%name.svgz
%_datadir/dbus-1/interfaces/org.kde.ksnapshot.xml

#------------------------------------------------------------------------------

%package handbook
Summary: Ksnapshot Handbook
Conflicts: ksnapshot < 2:4.7.1
Requires:  ksnapshot >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description handbook
This package provides ksnapshot handbook.

%files handbook
%docdir %_kde_docdir/
%_kde_docdir/HTML/en/%name/
#------------------------------------------------------------------------------

%prep
%setup -q 

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog

* Sun Apr 22 2012 mikala <mikala> 2:4.8.2-2.mga2
+ Revision: 232709
- Suggests only kipi-plugins used by ksnapshot instead of the metapackage
- Add missing requires for handbooks

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228471
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 2:4.8.1-1.mga2
+ Revision: 221499
- New upstream tarball

* Sat Jan 21 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 199195
- Add kipi-plugins as suggests
- Use %%docdir macro
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-1.mga2
+ Revision: 191021
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 185922
- Update tarball to KDE SC 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 182151
- Update tarball to KDE SC 4.7.90

* Sun Dec 04 2011 mikala <mikala> 2:4.7.4-1.mga2
+ Revision: 176486
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 2:4.7.3-1.mga2
+ Revision: 161379
- Update tarball to KDE SC 4.7.3
- use correct macro for dbus files

* Wed Oct 05 2011 mikala <mikala> 2:4.7.2-1.mga2
+ Revision: 151973
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 2:4.7.1-1.mga2
+ Revision: 140664
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- remove %%defattr
- fix license

* Mon Jul 11 2011 mikala <mikala> 2:4.6.95-0.mga2
+ Revision: 122496
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Wed Jul 06 2011 ahmad <ahmad> 2:4.6.90-2.mga2
+ Revision: 119143
- Fix conflicts

* Mon Jun 27 2011 mikala <mikala> 2:4.6.90-1.mga2
+ Revision: 114911
- imported package ksnapshot

